Vtiful\Kernel\Format align

- « Vtiful\Kernel\Format

- Vtiful\Kernel\Format::bold »

- PHP Manual
- Vtiful\Kernel\Format
- Vtiful\Kernel\Format align

# Vtiful\Kernel\Format::align

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Format::align — Vtiful\Kernel\Format align

### Description

public Vtiful\Kernel\Format::align(resource `$handle`, int `$style`)

set cell align

### Parameters

`handle`

  xlsx file handle

`style`

  Vtiful\Kernel\Format constant

### Return Values

Resource

### Examples

Example #1 example

    <?php$config = [    'path' => './tests'];$excel  = new \Vtiful\Kernel\Excel($config);$fileObject = $excel->fileName('tutorial01.xlsx');$fileHandle = $fileObject->getHandle();$alignStyle = \Vtiful\Kernel\Format::align($fileHandle, \Vtiful\Kernel\Format::FORMAT_ALIGN_LEFT);$fileObject->header(['name', 'age'])    ->data([['viest', 21]])    ->setColumn('A:A', 200, $align)    ->output();?>